Knowledgebase

Search:     Advanced search

Helix ALM Data Warehouse System Requirements

Article ID: 249  |  Last updated: 19 Sep, 2017

Helix ALM product versions and databases

You must use supported versions of Helix ALM License Server and Helix ALM, QA Wizard Pro, or Surround SCM with the Helix ALM Data Warehouse. See ALM Data Warehouse Compatibility for the supported product versions for each ALM Data Warehouse version.

Product databases must be hosted in the native format (SQLite), Oracle, or SQL Server. See the supported Relational Database Management System (RDBMS) versions for each product:

Operating system

The current version of ALM Data Warehouse is supported on Microsoft Windows Server 2008 R2, 7, Server 2012, 8, 8.1,10, and Server 2016.

Browser support

See Supported Web Browsers for a list of supported browsers for the web application.

RDBMS support

The ALM Data Warehouse database must be stored in one of the following supported databases:

  • Microsoft SQL Server
    • 2008 Enterprise and Standard Editions
    • 2012 Enterprise, Business Intelligence, and Standard Editions
    • 2014 Enterprise, Business Intelligence, and Standard Editions
    • 2016
  • Oracle 10g, 11g, 12c
  • PostgreSQL 9.1, 9.2, 9.3, 9.4, 9.5, 9.6
Article ID: 249  |   Last updated: 19 Sep, 2017
Tags
database system requirements rdbms browser

Prev   Next
Enabling Remote Connections on PostgreSQL Servers     Helix ALM Data Warehouse Compatibility